curl --request POST \
--url https://api.example.com/v1/deals/:id/notes \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>"
}
'{
"data": {
"id": "<string>",
"title": "<string>",
"content": "<string>",
"created_date": "<string>"
}
}Create a note attached to a specific deal
curl --request POST \
--url https://api.example.com/v1/deals/:id/notes \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"content": "<string>"
}
'{
"data": {
"id": "<string>",
"title": "<string>",
"content": "<string>",
"created_date": "<string>"
}
}Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
curl -X POST https://data.leadlex.com/functions/v1/api-gateway/v1/deals/deal-001/notes \
-H "Authorization: Bearer wbk_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{ "title": "Pricing discussion", "content": "Client agreed to annual billing" }'
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | Missing title |
| 404 | not_found | Deal not found |
| 403 | insufficient_permissions | Missing deals:write permission |